$(document).ready(function () {

    $("body").on("click", '.remove', remove);


    $('#addnew').click(function () {
        AddRows();
    }); 
    
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post('visa_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('#tabledata');
            ctr++;
            $('#items').val(ctr);
//            $('.detailpart').select2();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }
   

});